Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class WrappedProtegeInstanceImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl

All Implemented Interfaces:
  Localizable, Serializable

Direct Known Subclasses:
  GroupOperationImpl, OperationImpl, PolicyControlledObjectCollectionImpl, PropertyValueImpl, WrappedProtegeInstanceWithPropsImpl

    public class WrappedProtegeInstanceImpl

extends Object
implements Localizable, Serializable

See Also:
  Serialized Form

Constructor Summary
`WrappedProtegeInstanceImpl(MetaProjectImpl mp, Instance i, MetaProjectImpl.ClsEnum cls)`

Method Summary
`protected void` | `addSlotValue(MetaProjectImpl.SlotEnum slot, Object value)`
`boolean` | `equals(Object o)`
`MetaProjectImpl.ClsEnum` | `getCls()`
`MetaProjectImpl` | `getMetaProject()`
`Collection` | `getProtegeCollection(Collection collection)`
`Instance` | `getProtegeInstance()`
`protected Object` | `getSlotValue(MetaProjectImpl.SlotEnum slot, MetaProjectImpl.ClsEnum rangeCls)`
`protected Set` | `getSlotValues(MetaProjectImpl.SlotEnum slot, MetaProjectImpl.ClsEnum rangeCls)`
`int` | `hashCode()`
`void` | `localize(KnowledgeBase kb)`
`protected void` | `removeSlotValue(MetaProjectImpl.SlotEnum slot, Object value)`
`protected void` | `setSlotValue(MetaProjectImpl.SlotEnum slot, Object value)`
`protected void` | `setSlotValuesAsProtegeInstances(MetaProjectImpl.SlotEnum slot, Collection valueCollection)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedProtegeInstanceImpl

    public WrappedProtegeInstanceImpl(MetaProjectImpl mp,
                                      Instance i,
                                      MetaProjectImpl.ClsEnum cls)

Method Detail

### getMetaProject

    public MetaProjectImpl getMetaProject()

### getProtegeInstance

    public Instance getProtegeInstance()

### getCls

    public MetaProjectImpl.ClsEnum getCls()

### getSlotValues

    protected Set getSlotValues(MetaProjectImpl.SlotEnum slot,
                                MetaProjectImpl.ClsEnum rangeCls)

### getSlotValue

    protected Object getSlotValue(MetaProjectImpl.SlotEnum slot,
                                  MetaProjectImpl.ClsEnum rangeCls)

### setSlotValuesAsProtegeInstances

    protected void setSlotValuesAsProtegeInstances(MetaProjectImpl.SlotEnum slot,
                                                   Collection valueCollection)

### setSlotValue

    protected void setSlotValue(MetaProjectImpl.SlotEnum slot,
                                Object value)

### addSlotValue

    protected void addSlotValue(MetaProjectImpl.SlotEnum slot,
                                Object value)

### removeSlotValue

    protected void removeSlotValue(MetaProjectImpl.SlotEnum slot,
                                   Object value)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getProtegeCollection

    public Collection getProtegeCollection(Collection collection)

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.